/// <reference types="node" />
import IMemory from 'modloader64_api/IMemory';
import * as API from '../API/Imports';
import { JSONTemplate } from 'modloader64_api/JSONTemplate';
export declare class Link extends JSONTemplate implements API.ILink {
    private emulator;
    private state_addr;
    private pos_addr;
    private rotYaw_addr;
    private rotRoll_addr;
    private rotPitch_addr;
    private sound_addr;
    private anim_data_addr;
    private anim_raw_data_addr;
    constructor(emu: IMemory);
    get pos(): Buffer;
    get rot(): Buffer;
    get matrixData(): Buffer;
}
//# sourceMappingURL=Link.d.ts.map