/// <reference types="node" />
import { JSONTemplate } from "modloader64_api/JSONTemplate";
import * as API from '../API/Imports';
import { Inventory } from './Inventory';
import IMemory from "modloader64_api/IMemory";
import { QuestStatus } from "./QuestStatus";
import { IWWCore } from "../API/Imports";
import { SwordsEquipment } from "./SwordsEquipment";
import { ShieldsEquipment } from "./ShieldsEquipment";
import { StageInfo } from "./StageInfo";
export declare class SaveContext extends JSONTemplate implements API.ISaveContext {
    private emulator;
    private core;
    inventory: Inventory;
    questStatus: QuestStatus;
    swords: SwordsEquipment;
    shields: ShieldsEquipment;
    stage_Live: StageInfo;
    stage0_Sea: StageInfo;
    stage1_SeaAlt: StageInfo;
    stage2_ForsakenFortress: StageInfo;
    stage3_DRC: StageInfo;
    stage4_FW: StageInfo;
    stage5_TOTG: StageInfo;
    stage6_ET: StageInfo;
    stage7_WT: StageInfo;
    stage8_GT: StageInfo;
    stage9_Hyrule: StageInfo;
    stageA_ShipInt: StageInfo;
    stageB_HouseMisc: StageInfo;
    stageC_CaveInt: StageInfo;
    stageD_CaveShip: StageInfo;
    stageE_BlueChu: StageInfo;
    stageF_TestMaps: StageInfo;
    jsonFields: string[];
    constructor(emu: IMemory, core: IWWCore);
    get eventFlags(): Buffer;
    set eventFlags(flag: Buffer);
}
//# sourceMappingURL=SaveContext.d.ts.map