import { IModLoaderAPI, ICore } from "modloader64_api/IModLoaderAPI";
import * as API from './API/Imports';
export declare class WindWaker implements ICore, API.IWWCore {
    heap_size: number;
    heap_start: number;
    header: string;
    ModLoader: IModLoaderAPI;
    eventTicks: Map<string, Function>;
    link: API.ILink;
    save: API.ISaveContext;
    global: API.IGlobalContext;
    helper: API.IWWHelper;
    isSaveLoaded: boolean;
    touching_loading_zone: boolean;
    last_known_scene: string;
    last_known_room: number;
    isLinkLoadingZone: number;
    temp: boolean;
    preinit(): void;
    init(): void;
    postinit(): void;
    onTick(): void;
}
//# sourceMappingURL=WindWaker.d.ts.map