"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Inventory = void 0;
const API = __importStar(require("../API/Imports"));
const JSONTemplate_1 = require("modloader64_api/JSONTemplate");
class Inventory extends JSONTemplate_1.JSONTemplate {
    emulator;
    instance = 0x803C4C44;
    inventory_bitfield_addr = 0x803C4C59;
    spoilsBag = 0x803C4C7E;
    baitBag = 0x803C4C86;
    deliveryBag = 0x803C4C8E;
    constructor(emu) {
        super();
        this.emulator = emu;
    }
    jsonFields = [
        "FIELD_TELESCOPE",
        "FIELD_SAIL",
        "FIELD_WIND_WAKER",
        "FIELD_GRAPPLING_HOOK",
        "FIELD_SPOILS_BAG",
        "FIELD_BOOMERANG",
        "FIELD_DEKU_LEAF",
        "FIELD_TINGLE_TUNER",
        "FIELD_PICTO_BOX",
        "FIELD_IRON_BOOTS",
        "FIELD_MAGIC_ARMOR",
        "FIELD_BAIT_BAG",
        "FIELD_BOW",
        "FIELD_BOMBS",
        "FIELD_BOTTLE1",
        "FIELD_BOTTLE2",
        "FIELD_BOTTLE3",
        "FIELD_BOTTLE4",
        "FIELD_DELIVERY_BAG",
        "FIELD_HOOKSHOT",
        "FIELD_SKULL_HAMMER",
        "spoils_slots",
        "bait_slots",
        "delivery_slots",
        "owned_delivery",
        "owned_spoils",
        "owned_bait",
        "count_spoils",
        "count_delivery",
        "count_bait",
        "rupeeCap",
        "bombCap",
        "arrowCap",
        "owned_items",
        "rupeeCount",
    ];
    //Inventory Slots
    get FIELD_TELESCOPE() {
        let val = this.getItemInSlot(0 /* API.InventorySlots.TELESCOPE */);
        return !(val === API.InventoryItem.NONE);
    }
    set FIELD_TELESCOPE(bool) {
        let value = bool ? API.InventoryItem.TELESCOPE : API.InventoryItem.NONE;
        this.setItemInSlot(value, 0 /* API.InventorySlots.TELESCOPE */);
    }
    get FIELD_SAIL() {
        let val = this.getItemInSlot(1 /* API.InventorySlots.SAIL */);
        return !(val === API.InventoryItem.NONE);
    }
    set FIELD_SAIL(bool) {
        let value = bool ? API.InventoryItem.SAIL : API.InventoryItem.NONE;
        this.setItemInSlot(value, 1 /* API.InventorySlots.SAIL */);
    }
    get FIELD_WIND_WAKER() {
        let val = this.getItemInSlot(2 /* API.InventorySlots.WIND_WAKER */);
        return !(val === API.InventoryItem.NONE);
    }
    set FIELD_WIND_WAKER(bool) {
        let value = bool ? API.InventoryItem.WIND_WAKER : API.InventoryItem.NONE;
        this.setItemInSlot(value, 2 /* API.InventorySlots.WIND_WAKER */);
    }
    get FIELD_GRAPPLING_HOOK() {
        let val = this.getItemInSlot(3 /* API.InventorySlots.GRAPPLING_HOOK */);
        return !(val === API.InventoryItem.NONE);
    }
    set FIELD_GRAPPLING_HOOK(bool) {
        let value = bool ? API.InventoryItem.GRAPPLING_HOOK : API.InventoryItem.NONE;
        this.setItemInSlot(value, 3 /* API.InventorySlots.GRAPPLING_HOOK */);
    }
    get FIELD_SPOILS_BAG() {
        let val = this.getItemInSlot(4 /* API.InventorySlots.SPOILS_BAG */);
        return !(val === API.InventoryItem.NONE);
    }
    set FIELD_SPOILS_BAG(bool) {
        let value = bool ? API.InventoryItem.SPOILS_BAG : API.InventoryItem.NONE;
        this.setItemInSlot(value, 4 /* API.InventorySlots.SPOILS_BAG */);
    }
    get FIELD_BOOMERANG() {
        let val = this.getItemInSlot(5 /* API.InventorySlots.BOOMERANG */);
        return !(val === API.InventoryItem.NONE);
    }
    set FIELD_BOOMERANG(bool) {
        let value = bool ? API.InventoryItem.BOOMERANG : API.InventoryItem.NONE;
        this.setItemInSlot(value, 5 /* API.InventorySlots.BOOMERANG */);
    }
    get FIELD_DEKU_LEAF() {
        let val = this.getItemInSlot(6 /* API.InventorySlots.DEKU_LEAF */);
        return !(val === API.InventoryItem.NONE);
    }
    set FIELD_DEKU_LEAF(bool) {
        let value = bool ? API.InventoryItem.DEKU_LEAF : API.InventoryItem.NONE;
        this.setItemInSlot(value, 6 /* API.InventorySlots.DEKU_LEAF */);
    }
    get FIELD_TINGLE_TUNER() {
        let val = this.getItemInSlot(7 /* API.InventorySlots.TINGLE_TUNER */);
        return !(val === API.InventoryItem.NONE);
    }
    set FIELD_TINGLE_TUNER(bool) {
        let value = bool ? API.InventoryItem.TINGLE_TUNER : API.InventoryItem.NONE;
        this.setItemInSlot(value, 7 /* API.InventorySlots.TINGLE_TUNER */);
    }
    get FIELD_PICTO_BOX() {
        return this.getItemInSlot(8 /* API.InventorySlots.PICTO_BOX */);
    }
    set FIELD_PICTO_BOX(item) {
        if (item === API.InventoryItem.PICTO_BOX ||
            item === API.InventoryItem.DELUXE_PICTO_BOX) {
            this.setItemInSlot(item, 8 /* API.InventorySlots.PICTO_BOX */);
        }
    }
    get FIELD_IRON_BOOTS() {
        let val = this.getItemInSlot(9 /* API.InventorySlots.IRON_BOOTS */);
        return !(val === API.InventoryItem.NONE);
    }
    set FIELD_IRON_BOOTS(bool) {
        let value = bool ? API.InventoryItem.IRON_BOOTS : API.InventoryItem.NONE;
        this.setItemInSlot(value, 9 /* API.InventorySlots.IRON_BOOTS */);
    }
    get FIELD_MAGIC_ARMOR() {
        let val = this.getItemInSlot(10 /* API.InventorySlots.MAGIC_ARMOR */);
        return !(val === API.InventoryItem.NONE);
    }
    set FIELD_MAGIC_ARMOR(bool) {
        let value = bool ? API.InventoryItem.MAGIC_ARMOR : API.InventoryItem.NONE;
        this.setItemInSlot(value, 10 /* API.InventorySlots.MAGIC_ARMOR */);
    }
    get FIELD_BAIT_BAG() {
        let val = this.getItemInSlot(11 /* API.InventorySlots.BAIT_BAG */);
        return !(val === API.InventoryItem.NONE);
    }
    set FIELD_BAIT_BAG(bool) {
        let value = bool ? API.InventoryItem.BAIT_BAG : API.InventoryItem.NONE;
        this.setItemInSlot(value, 11 /* API.InventorySlots.BAIT_BAG */);
    }
    get FIELD_BOW() {
        return this.getItemInSlot(12 /* API.InventorySlots.BOW */);
    }
    set FIELD_BOW(item) {
        if (item === API.InventoryItem.BOW ||
            item === API.InventoryItem.FI_BOW ||
            item === API.InventoryItem.LIGHT_BOW) {
            this.setItemInSlot(item, 12 /* API.InventorySlots.BOW */);
        }
    }
    get FIELD_BOMBS() {
        let val = this.getItemInSlot(13 /* API.InventorySlots.BOMBS */);
        return !(val === API.InventoryItem.NONE);
    }
    set FIELD_BOMBS(bool) {
        let value = bool ? API.InventoryItem.BOMBS : API.InventoryItem.NONE;
        this.setItemInSlot(value, 13 /* API.InventorySlots.BOMBS */);
    }
    get FIELD_BOTTLE1() {
        return this.getItemInSlot(14 /* API.InventorySlots.BOTTLE1 */);
    }
    set FIELD_BOTTLE1(content) {
        if (content < API.InventoryItem.BOTTLE_EMPTY ||
            content > API.InventoryItem.BOTTLE_FOREST_WATER) {
            return;
        }
        this.setItemInSlot(content, 14 /* API.InventorySlots.BOTTLE1 */);
    }
    get FIELD_BOTTLE2() {
        return this.getItemInSlot(15 /* API.InventorySlots.BOTTLE2 */);
    }
    set FIELD_BOTTLE2(content) {
        if (content < API.InventoryItem.BOTTLE_EMPTY ||
            content > API.InventoryItem.BOTTLE_FOREST_WATER) {
            return;
        }
        this.setItemInSlot(content, 15 /* API.InventorySlots.BOTTLE2 */);
    }
    get FIELD_BOTTLE3() {
        return this.getItemInSlot(16 /* API.InventorySlots.BOTTLE3 */);
    }
    set FIELD_BOTTLE3(content) {
        if (content < API.InventoryItem.BOTTLE_EMPTY ||
            content > API.InventoryItem.BOTTLE_FOREST_WATER) {
            return;
        }
        this.setItemInSlot(content, 16 /* API.InventorySlots.BOTTLE3 */);
    }
    get FIELD_BOTTLE4() {
        return this.getItemInSlot(17 /* API.InventorySlots.BOTTLE4 */);
    }
    set FIELD_BOTTLE4(content) {
        if (content < API.InventoryItem.BOTTLE_EMPTY ||
            content > API.InventoryItem.BOTTLE_FOREST_WATER) {
            return;
        }
        this.setItemInSlot(content, 17 /* API.InventorySlots.BOTTLE4 */);
    }
    get FIELD_DELIVERY_BAG() {
        let val = this.getItemInSlot(18 /* API.InventorySlots.DELIVERY_BAG */);
        return !(val === API.InventoryItem.NONE);
    }
    set FIELD_DELIVERY_BAG(bool) {
        let value = bool ? API.InventoryItem.DELIVERY_BAG : API.InventoryItem.NONE;
        this.setItemInSlot(value, 18 /* API.InventorySlots.DELIVERY_BAG */);
    }
    get FIELD_HOOKSHOT() {
        let val = this.getItemInSlot(19 /* API.InventorySlots.HOOKSHOT */);
        return !(val === API.InventoryItem.NONE);
    }
    set FIELD_HOOKSHOT(bool) {
        let value = bool ? API.InventoryItem.HOOKSHOT : API.InventoryItem.NONE;
        this.setItemInSlot(value, 19 /* API.InventorySlots.HOOKSHOT */);
    }
    get FIELD_SKULL_HAMMER() {
        let val = this.getItemInSlot(20 /* API.InventorySlots.SKULL_HAMMER */);
        return !(val === API.InventoryItem.NONE);
    }
    set FIELD_SKULL_HAMMER(bool) {
        let value = bool ? API.InventoryItem.SKULL_HAMMER : API.InventoryItem.NONE;
        this.setItemInSlot(value, 20 /* API.InventorySlots.SKULL_HAMMER */);
    }
    // Counts
    get arrowCount() {
        return this.emulator.rdramRead8(0x803C4C71);
    }
    set arrowCount(flag) {
        this.emulator.rdramWrite8(0x803C4C71, flag);
    }
    get bombCount() {
        return this.emulator.rdramRead8(0x803C4C72);
    }
    set bombCount(flag) {
        this.emulator.rdramWrite8(0x803C4C72, flag);
    }
    get rupeeCount() {
        return this.emulator.rdramRead16(0x803C4C0C);
    }
    set rupeeCount(flag) {
        this.emulator.rdramWrite16(0x803CA7CE, flag);
        this.emulator.rdramWrite16(0x803C4C0C, flag);
    }
    //Capacity
    get arrowCap() {
        return this.emulator.rdramRead8(0x803C4C77);
    }
    set arrowCap(flag) {
        this.emulator.rdramWrite8(0x803C4C77, flag);
    }
    get bombCap() {
        return this.emulator.rdramRead8(0x803C4C78);
    }
    set bombCap(flag) {
        this.emulator.rdramWrite8(0x803C4C78, flag);
    }
    get rupeeCap() {
        return this.emulator.rdramRead8(0x803C4C1A);
    }
    set rupeeCap(flag) {
        this.emulator.rdramWrite8(0x803C4C1A, flag);
    }
    // Bag Content Slots
    get spoils_slots() {
        return this.emulator.rdramReadBuffer(this.spoilsBag, 0x8);
    }
    set spoils_slots(flag) {
        this.emulator.rdramWriteBuffer(this.spoilsBag, flag);
    }
    get bait_slots() {
        return this.emulator.rdramReadBuffer(this.baitBag, 0x8);
    }
    set bait_slots(flag) {
        this.emulator.rdramWriteBuffer(this.baitBag, flag);
    }
    get delivery_slots() {
        return this.emulator.rdramReadBuffer(this.deliveryBag, 0x8);
    }
    set delivery_slots(flag) {
        this.emulator.rdramWriteBuffer(this.deliveryBag, flag);
    }
    get owned_delivery() {
        return this.emulator.rdramReadBuffer(0x803C4C98, 0x4);
    }
    set owned_delivery(flag) {
        this.emulator.rdramWriteBuffer(0x803C4C98, flag);
    }
    get owned_spoils() {
        return this.emulator.rdramReadBuffer(0x803C4C9C, 0x1);
    }
    set owned_spoils(flag) {
        this.emulator.rdramWriteBuffer(0x803C4C9C, flag);
    }
    get owned_bait() {
        return this.emulator.rdramReadBuffer(0x803C4C9D, 0x1);
    }
    set owned_bait(flag) {
        this.emulator.rdramWriteBuffer(0x803C4C9D, flag);
    }
    get count_spoils() {
        return this.emulator.rdramReadBuffer(0x803C4CA4, 0x7);
    }
    set count_spoils(flag) {
        this.emulator.rdramWriteBuffer(0x803C4CA4, flag);
    }
    get count_delivery() {
        return this.emulator.rdramReadBuffer(0x803C4CAC, 0x8);
    }
    set count_delivery(flag) {
        this.emulator.rdramWriteBuffer(0x803C4CAC, flag);
    }
    get count_bait() {
        return this.emulator.rdramReadBuffer(0x803C4CB4, 0x7);
    }
    set count_bait(flag) {
        this.emulator.rdramWriteBuffer(0x803C4CB4, flag);
    }
    //803C4C59-803C4C6D - List of bitfields of which items you own.
    get owned_items() {
        return this.emulator.rdramReadBuffer(0x803C4C59, 0x14);
    }
    set owned_items(flag) {
        this.emulator.rdramWriteBuffer(0x803C4C59, flag);
    }
    getItemInSlot(slotId) {
        if (slotId < 0 || slotId > 20 /* API.InventorySlots.SKULL_HAMMER */) {
            return API.InventoryItem.NONE;
        }
        let itemId = this.emulator.rdramRead8(this.instance + slotId);
        return itemId;
    }
    getSlotForItem(item) {
        for (let i = 0; i <= 20 /* API.InventorySlots.SKULL_HAMMER */; i++) {
            if (this.getItemInSlot(i) == item) {
                return i;
            }
        }
        return -1;
    }
    setItemInSlot(item, slot) {
        if (slot < 0 || slot > 20 /* API.InventorySlots.SKULL_HAMMER */) {
            return;
        }
        this.emulator.rdramWrite8(this.instance + slot, item.valueOf());
    }
}
exports.Inventory = Inventory;
//# sourceMappingURL=Inventory.js.map