/// <reference types="node" />
import { JSONTemplate } from "modloader64_api/JSONTemplate";
import IMemory from "modloader64_api/IMemory";
import { IStageInfo } from "../API/Imports";
export declare class StageInfo extends JSONTemplate implements IStageInfo {
    private emulator;
    private stageInfoAddr;
    private stageID;
    jsonFields: string[];
    constructor(emu: IMemory, stageID: number, instance?: number);
    get chests(): Buffer;
    set chests(flag: Buffer);
    get switches(): Buffer;
    set switches(flag: Buffer);
    get items(): Buffer;
    set items(flag: Buffer);
    get rooms(): Buffer;
    set rooms(flag: Buffer);
    get keys(): number;
    set keys(flag: number);
    get map(): boolean;
    set map(flag: boolean);
    get compass(): boolean;
    set compass(flag: boolean);
    get bigKey(): boolean;
    set bigKey(flag: boolean);
    get bossKilled(): boolean;
    set bossKilled(flag: boolean);
    get heartTaken(): boolean;
    set heartTaken(flag: boolean);
    get bossIntroWatched(): boolean;
    set bossIntroWatched(flag: boolean);
}
//# sourceMappingURL=StageInfo.d.ts.map